<?php

namespace Teknisa\MAN\Services;

use Teknisa\MAN\Utilities;

class MovCaixaBD {
	
	protected $entityManager;

	public function __construct(\Doctrine\ORM\EntityManager $entityManager)  {
		$this->entityManager = $entityManager;
	}

	public function saveMovcaixa($params){		
		/*
		 DTHRINCMOV -> INCLUIDO POR SYSDATE.
		 VRCOTINDOUT -> DEFULT 0 NAO SENDO INCLUIDO PELO CAIXA
		*/
		return $this->entityManager->getConnection()->executeQuery(Utilities\Query::INSERT_MOVCAIXA, $params);
	}
	
	public function buscaNRSEQUMOVI($params){
		return $this->entityManager->getConnection()->fetchAll(Utilities\Query::BUSCA_MAX_NRSEQUMOVI, $params);
	}
	
	public function buscaTotalVRMOVIVEND($params){
		return $this->entityManager->getConnection()->fetchAll(Utilities\Query::BUSCA_SUM_TOTAL_MOVIVEND, $params);
	}
	
	public function buscaTotalRecebimentoVRMOVIVEND($params){
		return $this->entityManager->getConnection()->fetchAll(Utilities\Query::BUSCA_SUM_VRMOVIVEND, $params);
	}
}